// Copyright 2002 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import "NSFileManager-OAExtensions.h"

#import <CoreFoundation/CoreFoundation.h>
#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>

#import "OAOSAScript.h"

RCS_ID("$Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniAppKit/OpenStepExtensions.subproj/NSFileManager-OAExtensions.m,v 1.3 2002/03/09 01:53:54 kc Exp $")

@implementation NSFileManager (OAExtensions)

#warning Please reimplement -setComment:forPath: using filesystem API rather than scripting Finder
- (void)setComment:(NSString *)aComment forPath:(NSString *)path;
{
    CFURLRef fileURL;
    NSString *hfsPath, *scriptText;

    if ([NSString isEmptyString:path] || ![self fileExistsAtPath:path])
        return;

    fileURL = CFURLCreateWithFileSystemPath(NULL, (CFStringRef)path, kCFURLPOSIXPathStyle, NO);
    hfsPath = (NSString *)CFURLCopyFileSystemPath(fileURL, kCFURLHFSPathStyle);
    CFRelease(fileURL);
    scriptText = [NSString stringWithFormat:@"tell application \"Finder\" to set comment of file \"%@\" to \"%@\"", hfsPath, aComment];
    NS_DURING {
        [OAOSAScript executeScriptString:scriptText];
    } NS_HANDLER {
        NSLog(@"Unable to set comment of file \"%@\" to \"%@\": %@", path, aComment, [localException reason]);
    } NS_ENDHANDLER;
}


@end
